{
"status": "error",
"errorType": "not_found",
"error": "no such payment"
}
{
"status": "error",
"errorType": "conflict",
"error": "payment is disputed"
}
{
"status": "error",
"errorType": "internal",
"error": "Internal Server Error"
}
Payments
Refund a payment
Send a full or partial refund amount request. You can only refund the payment that has Closed status. By default refunds reflect instantly, which means Tabby initiates a refund through payment gateway.
POST
/
api
/
v2
/
payments
/
{id}
/
refunds
Refund a payment
curl --request POST \
--url https://api.tabby.ai/api/v2/payments/{id}/refunds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "0.00",
"reference_id": "refund idempotency key",
"reason": "Reason for the refund",
"items": [
{
"title": "Name of the product",
"quantity": 1,
"unit_price": "0.00",
"category": "Clothes",
"reference_id": "SKU123",
"description": "Description of the product",
"discount_amount": "0.00",
"image_url": "https://example.com/",
"product_url": "https://example.com/",
"gender": "Kids",
"color": "white",
"product_material": "cotton",
"size_type": "EU",
"size": "M",
"brand": "Name of the Brand",
"is_refundable": true,
"barcode": "12345678",
"ppn": "MNXT2ZM/A",
"seller": "Name of the Seller"
}
]
}
'
import requests
url = "https://api.tabby.ai/api/v2/payments/{id}/refunds"
payload = {
"amount": "0.00",
"reference_id": "refund idempotency key",
"reason": "Reason for the refund",
"items": [
{
"title": "Name of the product",
"quantity": 1,
"unit_price": "0.00",
"category": "Clothes",
"reference_id": "SKU123",
"description": "Description of the product",
"discount_amount": "0.00",
"image_url": "https://example.com/",
"product_url": "https://example.com/",
"gender": "Kids",
"color": "white",
"product_material": "cotton",
"size_type": "EU",
"size": "M",
"brand": "Name of the Brand",
"is_refundable": True,
"barcode": "12345678",
"ppn": "MNXT2ZM/A",
"seller": "Name of the Seller"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '0.00',
reference_id: 'refund idempotency key',
reason: 'Reason for the refund',
items: [
{
title: 'Name of the product',
quantity: 1,
unit_price: '0.00',
category: 'Clothes',
reference_id: 'SKU123',
description: 'Description of the product',
discount_amount: '0.00',
image_url: 'https://example.com/',
product_url: 'https://example.com/',
gender: 'Kids',
color: 'white',
product_material: 'cotton',
size_type: 'EU',
size: 'M',
brand: 'Name of the Brand',
is_refundable: true,
barcode: '12345678',
ppn: 'MNXT2ZM/A',
seller: 'Name of the Seller'
}
]
})
};
fetch('https://api.tabby.ai/api/v2/payments/{id}/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Extra data (booking info, insurance, flight reservations, ...) as serialized JSON
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Tabby","colors":{"primary":"#41A854","light":"#6CFF93","dark":"#41A854"},"logo":{"light":"https://mintcdn.com/tabby-26277sa/VGR1VunycMFYW0gO/logo/tabby-badge.svg?fit=max\u0026auto=format\u0026n=VGR1VunycMFYW0gO\u0026q=85\u0026s=0fd2a3090f99185f666929e20a7504a4","dark":"https://mintcdn.com/tabby-26277sa/VGR1VunycMFYW0gO/logo/tabby-badge.svg?fit=max\u0026auto=format\u0026n=VGR1VunycMFYW0gO\u0026q=85\u0026s=0fd2a3090f99185f666929e20a7504a4"},"favicon":"https://mintcdn.com/tabby-26277sa/t5b0diXp4aP0BKke/favicon-new.png?fit=max\u0026auto=format\u0026n=t5b0diXp4aP0BKke\u0026q=85\u0026s=35c48485cefd869270047b5cef780d80","api":{"playground":{"display":"interactive"},"examples":{"defaults":"all","languages":["curl","python","javascript","php","go","java","ruby"],"prefill":true}},"appearance":{"default":"light","strict":false},"navbar":{"primary":{"type":"button","label":"Register","href":"https://merchant.tabby.ai"}},"footer":{"socials":{"facebook":"https://www.facebook.com/tabbypay-100185885064531","instagram":"https://instagram.com/tabbypay","linkedin":"https://www.linkedin.com/company/tabbypay","x":"https://twitter.com/paywithtabby?lang=en"}},"styling":{"codeblocks":"dark","latex":false},"contextual":{"options":["copy","view","chatgpt","claude","mcp"],"display":"header"},"navigation":{"languages":[{"language":"en","default":true,"href":"introduction/what-is-tabby"},{"language":"ar","href":"ar/marketing/toolkit"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"tabby-26277sa","hasAudioNarration":false,"actualSubdomain":"tabby-26277sa","customDomains":["docs.tabby.sa"],"gitSource":{"type":"github","owner":"dmitriifrolovtabby","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"collectionId":"e7db906b-a6f9-40ac-b65d-c29741bf1c7d","liveDeploymentHistoryId":"6adb523e00bf4036f5c4a6eb","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adb523e00bf4036f5c4a6eb"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adb523e00bf4036f5c4a6eb","clientVersion":"0.0.3990","searchFilterCounts":[{"language":"en","tag":"Documentation","count":36},{"language":"en","tag":"API Playground","count":28},{"language":"en","tag":"E-commerce Platforms","count":15},{"language":"en","tag":"Online Custom Integration","count":12},{"language":"en","tag":"Webhooks","count":7},{"language":"en","tag":"Disputes","count":6},{"language":"en","tag":"Payments","count":6},{"language":"en","tag":"Dispute Webhooks","count":5},{"language":"en","tag":"Introduction","count":5},{"language":"en","tag":"Shopify","count":3},{"language":"ar","tag":"مجموعة أدوات التسويق","count":1}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:'Tabby Sans Display';src:url(/fonts/TabbySansDisplay-Bold.woff2) format('woff2');font-weight:100 900;font-style:normal;font-display:swap}@font-face{font-family:'Tabby Sans Text';src:url(/fonts/TabbySansText-Regular.woff2) format('woff2');font-weight:100 400;font-style:normal;font-display:swap}@font-face{font-family:'Tabby Sans Text';src:url(/fonts/TabbySansText-Medium.woff2) format('woff2');font-weight:500 600;font-style:normal;font-display:swap}@font-face{font-family:'Tabby Sans Text';src:url(/fonts/TabbySansText-Bold.woff2) format('woff2');font-weight:700 900;font-style:normal;font-display:swap}.font-sans,body{font-family:'Tabby Sans Text',ui-sans-serif,system-ui,-apple-system,sans-serif!important}h1,h2,h3,h4{font-family:'Tabby Sans Display','Tabby Sans Text',sans-serif;letter-spacing:normal!important}img.product-shot,video.product-shot{display:block;margin:1.5rem auto;border-radius:1rem;border:1px solid rgb(10 10 10/.1);box-shadow:0 10px 25px -5px rgb(0 0 0/.12),0 4px 10px -6px rgb(0 0 0/.1)}.dark img.product-shot,.dark video.product-shot{border-color:rgb(255 255 255/.15);box-shadow:0 10px 25px -5px rgb(0 0 0/.45)}img.framed-shot,img.snippet-shot{display:block;margin:1.5rem auto}img.framed-shot{width:min(520px,100%);border-radius:12px}li img.framed-shot{width:min(520px,calc(100% - 38px))}div.product-shot-figure{margin:1.5rem auto;text-align:center}div.product-shot-figure img.product-shot{margin:1.5rem auto 0}p.product-shot-caption{margin-top:.75rem;font-size:.875rem;color:rgb(107 114 128)}html[lang=ar] #content,html[lang=ar] .mdx-content{direction:rtl}html[lang=ar] #header{direction:rtl;text-align:right}html[lang=ar] #content :is(ul, ol)>li{padding-left:6px;padding-right:32px}html[lang=ar] #content :is(ul, ol)>li::before{left:auto;right:8px}html[lang=ar] #content a svg.rotate-0.overflow-visible,html[lang=ar] #content svg.lucide-arrow-right,html[lang=ar] #content svg.lucide-arrow-up-right,html[lang=ar] #content svg.lucide-chevron-right{transform:scaleX(-1)}html[lang=ar] #content .absolute:has(>svg.lucide-arrow-up-right){right:auto;left:1.25rem}html[lang=ar] #content blockquote{border-left-width:0}#content-area .mdx-content,#content-container .mdx-content{max-width:80ch}@media (min-width:1280px){.max-w-8xl,div:has(>#content-container){max-width:100rem!important}}button[data-component-part=code-block-footer-button]{color:#6cff93!important;font-weight:600}button[data-component-part=code-block-footer-button]:hover{text-decoration:underline}.messaging-table table td:first-child,.messaging-table table th:first-child{width:1%;min-width:0;white-space:nowrap}:root:not(.dark) span[data-badge=true][data-color=gray]{background-color:#f5f4f2!important;color:#1a1919!important}:root:not(.dark) span[data-badge=true][data-color=blue]{background-color:#dfecf7!important;color:#3380c0!important}:root:not(.dark) span[data-badge=true][data-color=green]{background-color:#daf0df!important;color:#238e3b!important}:root:not(.dark) span[data-badge=true][data-color=yellow]{background-color:#fcedb8!important;color:#d66a1e!important}:root:not(.dark) span[data-badge=true][data-color=orange]{background-color:#ffe6cc!important;color:#d66a1e!important}:root:not(.dark) span[data-badge=true][data-color=red]{background-color:#ffe1de!important;color:#d44c3b!important}:root:not(.dark) span[data-badge=true][data-color=purple]{background-color:#f5defa!important;color:#a55ab8!important}:root:not(.dark) .callout[data-callout-type=info],:root:not(.dark) .callout[data-callout-type=note]{background-color:#dfecf7!important;border-color:#c4dcef!important}:root:not(.dark) .callout[data-callout-type=info] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=info] [data-component-part=callout-icon],:root:not(.dark) .callout[data-callout-type=note] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=note] [data-component-part=callout-icon]{color:#3380c0!important}:root:not(.dark) .callout[data-callout-type=check],:root:not(.dark) .callout[data-callout-type=tip]{background-color:#daf0df!important;border-color:#bfe4c9!important}:root:not(.dark) .callout[data-callout-type=check] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=check] [data-component-part=callout-icon],:root:not(.dark) .callout[data-callout-type=tip] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=tip] [data-component-part=callout-icon]{color:#238e3b!important}:root:not(.dark) .callout[data-callout-type=danger]{background-color:#ffe1de!important;border-color:#ffc7c1!important}:root:not(.dark) .callout[data-callout-type=danger] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=danger] [data-component-part=callout-icon]{color:#d44c3b!important}:root:not(.dark) .callout[data-callout-type=warning]{background-color:#fcedb8!important;border-color:#f5de8e!important}:root:not(.dark) .callout[data-callout-type=warning] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=warning] [data-component-part=callout-icon]{color:#d66a1e!important}.dark span[data-badge=true][data-color=gray]{background-color:rgb(245 244 242/.12)!important;color:#e8e6e3!important}.dark span[data-badge=true][data-color=blue]{background-color:rgb(51 128 192/.22)!important;color:#dfecf7!important}.dark span[data-badge=true][data-color=green]{background-color:rgb(35 142 59/.22)!important;color:#daf0df!important}.dark span[data-badge=true][data-color=yellow]{background-color:rgb(214 106 30/.22)!important;color:#fcedb8!important}.dark span[data-badge=true][data-color=orange]{background-color:rgb(214 106 30/.22)!important;color:#ffe6cc!important}.dark span[data-badge=true][data-color=red]{background-color:rgb(212 76 59/.22)!important;color:#ffe1de!important}.dark span[data-badge=true][data-color=purple]{background-color:rgb(165 90 184/.22)!important;color:#f5defa!important}.dark .callout[data-callout-type=info],.dark .callout[data-callout-type=note]{background-color:rgb(51 128 192/.18)!important;border-color:rgb(51 128 192/.45)!important}.dark .callout[data-callout-type=info] [data-component-part=callout-content],.dark .callout[data-callout-type=info] [data-component-part=callout-icon],.dark .callout[data-callout-type=note] [data-component-part=callout-content],.dark .callout[data-callout-type=note] [data-component-part=callout-icon]{color:#dfecf7!important}.dark .callout[data-callout-type=check],.dark .callout[data-callout-type=tip]{background-color:rgb(35 142 59/.18)!important;border-color:rgb(35 142 59/.45)!important}.dark .callout[data-callout-type=check] [data-component-part=callout-content],.dark .callout[data-callout-type=check] [data-component-part=callout-icon],.dark .callout[data-callout-type=tip] [data-component-part=callout-content],.dark .callout[data-callout-type=tip] [data-component-part=callout-icon]{color:#daf0df!important}.dark .callout[data-callout-type=danger]{background-color:rgb(212 76 59/.18)!important;border-color:rgb(212 76 59/.45)!important}.dark .callout[data-callout-type=danger] [data-component-part=callout-content],.dark .callout[data-callout-type=danger] [data-component-part=callout-icon]{color:#ffe1de!important}.dark .callout[data-callout-type=warning]{background-color:rgb(214 106 30/.18)!important;border-color:rgb(214 106 30/.45)!important}.dark .callout[data-callout-type=warning] [data-component-part=callout-content],.dark .callout[data-callout-type=warning] [data-component-part=callout-icon]{color:#fcedb8!important}.callout [data-component-part=callout-icon] svg{color:inherit!important}#content a.cta-button{display:inline-flex;align-items:center;gap:.5rem;padding:.75rem 1.5rem;border-radius:9999px;background-color:#41a854;color:#fff!important;font-weight:600;font-size:1rem;line-height:1.25;text-decoration:none!important;transition:background-color .15s ease,transform .15s ease}#content a.cta-button::after{content:\"↗\";font-size:1.05em;line-height:1}#content a.cta-button:hover{background-color:#2f8b41;transform:translateY(-1px)}.dark #content a.cta-button{background-color:#6cff93;color:#0a0a0a!important}.dark #content a.cta-button:hover{background-color:#8cffab}html[lang=ar] #content a.cta-button::after{content:\"↖\"}[id^=body-] [data-component-part=field-meta-post]{background-color:#fcedb8!important;color:#d66a1e!important}.dark [id^=body-] [data-component-part=field-meta-post]{background-color:rgba(252,237,184,.12)!important;color:#fcedb8!important}"},{"filePath":"swagger/swagger-ui.css","href":"/_mintlify/custom/tabby-26277sa/7e77e8f2d6246341/swagger/swagger-ui.css"}],"page":{"pagePath":"api-reference/payments/refund-a-payment","slug":"/api-reference/payments/refund-a-payment","pageMetadata":{"openapi":"post /api/v2/payments/{id}/refunds","title":"Refund a payment","description":"Send a full or partial refund amount request. You can only refund the payment that has Closed status. By default refunds reflect instantly, which means Tabby initiates a refund through payment gateway.","href":"/api-reference/payments/refund-a-payment"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Send a full or partial refund amount request. You can only refund the payment that has Closed status. By default refunds reflect instantly, which means Tabby initiates a refund through payment gateway.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"openapi":"post /api/v2/payments/{id}/refunds","title":"Refund a payment","description":"Send a full or partial refund amount request. You can only refund the payment that has Closed status. By default refunds reflect instantly, which means Tabby initiates a refund through payment gateway.","href":"/api-reference/payments/refund-a-payment"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/tabby-26277sa/9f2b5ecdf0f199ba/eslint.config.js","/_mintlify/custom/tabby-26277sa/b26a86079cee90e6/next.config.js","/_mintlify/custom/tabby-26277sa/b8a8460aa1a4fa11/swagger/swagger-ui-bundle.js","/_mintlify/custom/tabby-26277sa/19a31c3b1620a182/swagger/swagger-ui-standalone-preset.js","/_mintlify/custom/tabby-26277sa/316fd6bc989c58f1/swagger/swagger-ui.js"],"openApiReferenceData":{"operation":{"tags":["Payments"],"summary":"Refund a payment","description":"Send a full or partial refund amount request. You can only refund the payment that has Closed status. By default refunds reflect instantly, which means Tabby initiates a refund through payment gateway.","operationId":"postPaymentRefund","security":["8ea50713-548a-4bb3-aae4-d0bdc5b5bb85"],"parameters":["1911db1c-dbe1-421d-9421-789b470a3eeb"],"requestBody":"12a85caa-3dbf-456f-b825-de3da381fcf3","responses":{"200":"a0408677-878f-4432-ac11-fe541518acb8","400":"54faf65d-1dae-478c-81a0-0d3afd9f5dee","401":"589e1944-11fb-41e7-8cd5-9b31779a9b3d","404":"b10c08ba-bdc5-4eb6-bcdc-9acba8f3e73c","409":"37c51d19-5a2b-4acd-a62d-d4a79722c08a","500":"f8447ca7-55ee-4aa7-94c4-2fadc7d1a980"},"method":"post","type":"path","servers":["7d7c4395-25e2-4a21-baba-1d9524afd8d7","f6a4d9f7-9247-43bd-896a-c4e6012edea7"],"path":"/api/v2/payments/{id}/refunds","baseUrlOptions":["https://api.tabby.ai/","https://api.tabby.sa/"],"title":"Refund a payment","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","php","go","java","ruby"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.amount":"0.00","body.reference_id":"refund idempotency key","body.reason":"Reason for the refund","body.\\items.items.0.title":"Name of the product","body.\\items.items.0.quantity":1,"body.\\items.items.0.unit_price":"0.00","body.\\items.items.0.category":"Clothes","body.\\items.items.0.reference_id":"SKU123","body.\\items.items.0.description":"Description of the product","body.\\items.items.0.discount_amount":"0.00","body.\\items.items.0.image_url":"https://example.com/","body.\\items.items.0.product_url":"https://example.com/","body.\\items.items.0.gender":"Kids","body.\\items.items.0.color":"white","body.\\items.items.0.product_material":"cotton","body.\\items.items.0.size_type":"EU","body.\\items.items.0.size":"M","body.\\items.items.0.brand":"Name of the Brand","body.\\items.items.0.is_refundable":true,"body.\\items.items.0.barcode":"12345678","body.\\items.items.0.ppn":"MNXT2ZM/A","body.\\items.items.0.seller":"Name of the Seller"}]},"dependencies":{"parameters":{"1911db1c-dbe1-421d-9421-789b470a3eeb":{"in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid","example":"payment id, uuid format","isRequired":true,"description":"ID of the payment.","uniqueKey":"","typeLabel":"string\u003cuuid>"},"description":"ID of the payment."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"amount":{"type":"string","default":"0.00","description":"Amount refunded. Allows to send up to 2 decimals for AED and SAR, up to 3 decimals for KWD.","isRequired":true,"uniqueKey":"amount","typeLabel":"string"},"reference_id":{"type":"string","example":"refund idempotency key","description":"Idempotency key. Used to avoid similar refund requests.","isRequired":true,"uniqueKey":"reference_id","typeLabel":"string"},"reason":{"type":"string","example":"Reason for the refund","description":"Reason for the refund.","uniqueKey":"reason","typeLabel":"string"},"items":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string","example":"Name of the product","description":"Name of the product.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].title","typeLabel":"string"},"quantity":{"type":"integer","default":1,"minimum":1,"example":1,"description":"Quantity of the product ordered.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].quantity","typeLabel":"integer"},"unit_price":{"type":"string","default":"0.00","example":"0.00","description":"Price per unit of the product. Should be positive or zero.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].unit_price","typeLabel":"string"},"category":{"type":"string","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].category","typeLabel":"string"},"reference_id":{"type":"string","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes.","uniqueKey":"\\items.items.[INDEX].reference_id","typeLabel":"string"},"description":{"type":"string","example":"Description of the product","description":"Description of the product.","uniqueKey":"\\items.items.[INDEX].description","typeLabel":"string"},"discount_amount":{"type":"string","default":"0.00","example":"0.00","description":"Amount of the applied discount if any. Should be positive or zero.","uniqueKey":"\\items.items.[INDEX].discount_amount","typeLabel":"string"},"image_url":{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information.","uniqueKey":"\\items.items.[INDEX].image_url","typeLabel":"string\u003curi>"},"product_url":{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item at your store.","uniqueKey":"\\items.items.[INDEX].product_url","typeLabel":"string\u003curi>"},"gender":{"type":"string","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to.","uniqueKey":"\\items.items.[INDEX].gender","typeLabel":"enum\u003cstring>"},"color":{"type":"string","example":"white","description":"white / blue/ green","uniqueKey":"\\items.items.[INDEX].color","typeLabel":"string"},"product_material":{"type":"string","example":"cotton","description":"cotton / polyester / synthetic","uniqueKey":"\\items.items.[INDEX].product_material","typeLabel":"string"},"size_type":{"type":"string","example":"EU","description":"EU / UK","uniqueKey":"\\items.items.[INDEX].size_type","typeLabel":"string"},"size":{"type":"string","example":"M","description":"L / XL / 12","uniqueKey":"\\items.items.[INDEX].size","typeLabel":"string"},"brand":{"type":"string","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger","uniqueKey":"\\items.items.[INDEX].brand","typeLabel":"string"},"is_refundable":{"type":"boolean","description":"Indicates whether a product can be returned","uniqueKey":"\\items.items.[INDEX].is_refundable","typeLabel":"boolean"},"barcode":{"type":"string","example":"12345678","description":"A machine-readable product identifier. Typically used for logistics and scanning.","uniqueKey":"\\items.items.[INDEX].barcode","typeLabel":"string"},"ppn":{"type":"string","example":"MNXT2ZM/A","description":"Product Part Number assigned by the manufacturer. Used to identify specific components or versions of a product.","uniqueKey":"\\items.items.[INDEX].ppn","typeLabel":"string"},"seller":{"type":"string","example":"Name of the Seller","description":"The name of the seller offering this item. This field is used to distinguish products from different vendors on a single marketplace.","uniqueKey":"\\items.items.[INDEX].seller","typeLabel":"string"}},"required":["title","quantity","unit_price","category"],"uniqueKey":"\\items.items.[INDEX]","typeLabel":"object"},"description":"Array of objects representing the order items being refunded.","uniqueKey":"\\items","typeLabel":"object[]"}},"required":["amount","reference_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"amount":"0.00","reference_id":"refund idempotency key","reason":"Reason for the refund","items":[{"title":"Name of the product","quantity":1,"unit_price":"0.00","category":"Clothes","reference_id":"SKU123","description":"Description of the product","discount_amount":"0.00","image_url":"https://example.com/","product_url":"https://example.com/","gender":"Kids","color":"white","product_material":"cotton","size_type":"EU","size":"M","brand":"Name of the Brand","is_refundable":true,"barcode":"12345678","ppn":"MNXT2ZM/A","seller":"Name of the Seller"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"a0408677-878f-4432-ac11-fe541518acb8":{"description":"Success. Payment object is returned.","content":{"application/json":{"schema":{"description":"Payment object.","type":"object","properties":{"amount":{"type":"string","example":"100","description":"Total payment amount, including tax, shipping and any discounts. Allows to send up to 2 decimals for AED and SAR, up to 3 decimals for KWD.","isRequired":true,"uniqueKey":"amount","typeLabel":"string"},"currency":{"type":"string","enum":["AED","SAR"],"example":"AED","description":"ISO 4217 currency code for the payment amount. Currently there are 2 possible currency options - depending on the country where the store is located:\n - `AED` - United Arab Emirates Dirham\n - `SAR` - Saudi Riyal\n","isRequired":true,"uniqueKey":"currency","typeLabel":"enum\u003cstring>"},"buyer":{"oneOf":[{"description":"Customer information","type":"object","properties":{"name":{"oneOf":[{"type":"string","example":"John Doe","description":"Customer’s full name.","isRequired":true,"uniqueKey":"buyer.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","example":"John Doe","description":"Customer’s full name.","isRequired":true,"uniqueKey":"buyer.oneOf.0.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"buyer.oneOf.0.name","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","format":"email","description":"Customer’s email address.","isRequired":true,"uniqueKey":"buyer.oneOf.0.email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","format":"email","description":"Customer’s email address.","isRequired":true,"uniqueKey":"buyer.oneOf.0.email.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"buyer.oneOf.0.email","typeLabel":"string\u003cemail> | null"},"phone":{"oneOf":[{"type":"string","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`.","isRequired":true,"uniqueKey":"buyer.oneOf.0.phone.oneOf.0","typeLabel":"string"},{"type":"null","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`.","isRequired":true,"uniqueKey":"buyer.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"buyer.oneOf.0.phone","typeLabel":"string | null"},"dob":{"oneOf":[{"type":"string","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD.","uniqueKey":"buyer.oneOf.0.dob.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD.","uniqueKey":"buyer.oneOf.0.dob.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.dob","typeLabel":"string\u003cdate> | null"}},"required":["phone","email","name"],"isRequired":true,"uniqueKey":"buyer.oneOf.0","typeLabel":"object"},{"description":"Customer information","type":"null","properties":{"name":{"oneOf":[{"type":"string","example":"John Doe","description":"Customer’s full name."},{"type":"null","example":"John Doe","description":"Customer’s full name."}]},"email":{"oneOf":[{"type":"string","format":"email","description":"Customer’s email address."},{"type":"null","format":"email","description":"Customer’s email address."}]},"phone":{"oneOf":[{"type":"string","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`."},{"type":"null","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`."}]},"dob":{"oneOf":[{"type":"string","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD."},{"type":"null","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD."}]}},"required":["phone","email","name"],"isRequired":true,"uniqueKey":"buyer.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"buyer","typeLabel":"object | null"},"shipping_address":{"oneOf":[{"type":"object","properties":{"city":{"oneOf":[{"type":"string","example":"Dubai","description":"Name of city, municipality, or village.","isRequired":true,"uniqueKey":"shipping_address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","example":"Dubai","description":"Name of city, municipality, or village.","isRequired":true,"uniqueKey":"shipping_address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shipping_address.oneOf.0.city","typeLabel":"string | null"},"address":{"oneOf":[{"type":"string","example":"Dubai","description":"Building name, apartment number.","isRequired":true,"uniqueKey":"shipping_address.oneOf.0.address.oneOf.0","typeLabel":"string"},{"type":"null","example":"Dubai","description":"Building name, apartment number.","isRequired":true,"uniqueKey":"shipping_address.oneOf.0.address.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shipping_address.oneOf.0.address","typeLabel":"string | null"},"zip":{"oneOf":[{"type":"string","example":"1111","description":"Postal code.","isRequired":true,"uniqueKey":"shipping_address.oneOf.0.zip.oneOf.0","typeLabel":"string"},{"type":"null","example":"1111","description":"Postal code.","isRequired":true,"uniqueKey":"shipping_address.oneOf.0.zip.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shipping_address.oneOf.0.zip","typeLabel":"string | null"}},"required":["city","address","zip"],"isRequired":true,"uniqueKey":"shipping_address.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"city":{"oneOf":[{"type":"string","example":"Dubai","description":"Name of city, municipality, or village."},{"type":"null","example":"Dubai","description":"Name of city, municipality, or village."}]},"address":{"oneOf":[{"type":"string","example":"Dubai","description":"Building name, apartment number."},{"type":"null","example":"Dubai","description":"Building name, apartment number."}]},"zip":{"oneOf":[{"type":"string","example":"1111","description":"Postal code."},{"type":"null","example":"1111","description":"Postal code."}]}},"required":["city","address","zip"],"isRequired":true,"uniqueKey":"shipping_address.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shipping_address","typeLabel":"object | null"},"order":{"oneOf":[{"type":"object","properties":{"reference_id":{"oneOf":[{"type":"string","example":"1001","description":"Merchant-assigned order number.","isRequired":true,"uniqueKey":"order.oneOf.0.reference_id.oneOf.0","typeLabel":"string"},{"type":"null","example":"1001","description":"Merchant-assigned order number.","isRequired":true,"uniqueKey":"order.oneOf.0.reference_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order.oneOf.0.reference_id","typeLabel":"string | null"},"items":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"title":{"oneOf":[{"type":"string","example":"Name of the product","description":"Name of the product.","isRequired":true,"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].title.oneOf.0","typeLabel":"string"},{"type":"null","example":"Name of the product","description":"Name of the product.","isRequired":true,"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].title.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].title","typeLabel":"string | null"},"quantity":{"type":"integer","default":0,"minimum":0,"example":1,"description":"Quantity of the product ordered.","isRequired":true,"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].quantity","typeLabel":"integer"},"unit_price":{"type":"string","default":"0","example":"0.00","description":"Price per unit of the product. Should be positive or zero.","isRequired":true,"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].unit_price","typeLabel":"string"},"category":{"oneOf":[{"type":"string","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided.","isRequired":true,"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].category.oneOf.0","typeLabel":"string"},{"type":"null","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided.","isRequired":true,"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].category.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].category","typeLabel":"string | null"},"reference_id":{"oneOf":[{"type":"string","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes.","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].reference_id.oneOf.0","typeLabel":"string"},{"type":"null","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes.","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].reference_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].reference_id","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","example":"Description of the product","description":"Description of the product.","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","example":"Description of the product","description":"Description of the product.","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"image_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information.","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].image_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information.","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].image_url","typeLabel":"string\u003curi> | null"},"product_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item at your store.","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].product_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item at your store.","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].product_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].product_url","typeLabel":"string\u003curi> | null"},"gender":{"oneOf":[{"type":"string","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to.","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].gender.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to.","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].gender.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].gender","typeLabel":"enum\u003cstring> | null"},"color":{"oneOf":[{"type":"string","example":"white","description":"white / blue/ green","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].color.oneOf.0","typeLabel":"string"},{"type":"null","example":"white","description":"white / blue/ green","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].color.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].color","typeLabel":"string | null"},"product_material":{"oneOf":[{"type":"string","example":"cotton","description":"cotton / polyester / synthetic","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].product_material.oneOf.0","typeLabel":"string"},{"type":"null","example":"cotton","description":"cotton / polyester / synthetic","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].product_material.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].product_material","typeLabel":"string | null"},"size_type":{"oneOf":[{"type":"string","example":"EU","description":"EU / UK","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].size_type.oneOf.0","typeLabel":"string"},{"type":"null","example":"EU","description":"EU / UK","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].size_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].size_type","typeLabel":"string | null"},"size":{"oneOf":[{"type":"string","example":"M","description":"L / XL / 12","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].size.oneOf.0","typeLabel":"string"},{"type":"null","example":"M","description":"L / XL / 12","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].size.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].size","typeLabel":"string | null"},"brand":{"oneOf":[{"type":"string","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].brand.oneOf.0","typeLabel":"string"},{"type":"null","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].brand.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].brand","typeLabel":"string | null"},"is_refundable":{"oneOf":[{"type":"boolean","description":"Indicates whether a product can be returned","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].is_refundable.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether a product can be returned","uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].is_refundable.oneOf.1","typeLabel":"null"}],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX].is_refundable","typeLabel":"boolean | null"}},"required":["title","quantity","unit_price","category"],"uniqueKey":"order.oneOf.0.\\items.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Array of objects representing the order items in this payment.","isRequired":true,"uniqueKey":"order.oneOf.0.\\items.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"reference_id":{"oneOf":[{"type":"string","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."},{"type":"null","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."}]},"title":{"oneOf":[{"type":"string","example":"Name of the product","description":"Name of the product."},{"type":"null","example":"Name of the product","description":"Name of the product."}]},"description":{"oneOf":[{"type":"string","example":"Description of the product","description":"Description of the product."},{"type":"null","example":"Description of the product","description":"Description of the product."}]},"quantity":{"type":"integer","default":0,"minimum":0,"example":1,"description":"Quantity of the product ordered."},"unit_price":{"type":"string","default":"0","example":"0.00","description":"Price per unit of the product. Should be positive or zero."},"image_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."}]},"product_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item at your store."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item at your store."}]},"gender":{"oneOf":[{"type":"string","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."},{"type":"null","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."}]},"category":{"oneOf":[{"type":"string","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."},{"type":"null","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."}]},"color":{"oneOf":[{"type":"string","example":"white","description":"white / blue/ green"},{"type":"null","example":"white","description":"white / blue/ green"}]},"product_material":{"oneOf":[{"type":"string","example":"cotton","description":"cotton / polyester / synthetic"},{"type":"null","example":"cotton","description":"cotton / polyester / synthetic"}]},"size_type":{"oneOf":[{"type":"string","example":"EU","description":"EU / UK"},{"type":"null","example":"EU","description":"EU / UK"}]},"size":{"oneOf":[{"type":"string","example":"M","description":"L / XL / 12"},{"type":"null","example":"M","description":"L / XL / 12"}]},"brand":{"oneOf":[{"type":"string","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"},{"type":"null","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"}]},"is_refundable":{"oneOf":[{"type":"boolean","description":"Indicates whether a product can be returned"},{"type":"null","description":"Indicates whether a product can be returned"}]}},"required":["title","quantity","unit_price","category"]},"description":"Array of objects representing the order items in this payment.","isRequired":true,"uniqueKey":"order.oneOf.0.\\items.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order.oneOf.0.\\items","typeLabel":"object[] | null"},"updated_at":{"type":"string","format":"date-time","description":"Date and time the order was last updated, in UTC, and displayed in ISO 8601 datetime format.","uniqueKey":"order.oneOf.0.updated_at","typeLabel":"string\u003cdate-time>"},"tax_amount":{"type":"string","default":"0","example":"0.00","description":"Total tax for the order.","uniqueKey":"order.oneOf.0.tax_amount","typeLabel":"string"},"shipping_amount":{"type":"string","default":"0","example":"0.00","description":"Total shipping cost for the order.","uniqueKey":"order.oneOf.0.shipping_amount","typeLabel":"string"},"discount_amount":{"type":"string","default":"0","example":"0.00","description":"Total discount for the order. Should be positive or zero. Shows up on Tabby App for the Customer's convenience.","uniqueKey":"order.oneOf.0.discount_amount","typeLabel":"string"}},"required":["items","reference_id"],"isRequired":true,"uniqueKey":"order.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"reference_id":{"oneOf":[{"type":"string","example":"1001","description":"Merchant-assigned order number."},{"type":"null","example":"1001","description":"Merchant-assigned order number."}]},"updated_at":{"type":"string","format":"date-time","description":"Date and time the order was last updated, in UTC, and displayed in ISO 8601 datetime format."},"tax_amount":{"type":"string","default":"0","example":"0.00","description":"Total tax for the order."},"shipping_amount":{"type":"string","default":"0","example":"0.00","description":"Total shipping cost for the order."},"discount_amount":{"type":"string","default":"0","example":"0.00","description":"Total discount for the order. Should be positive or zero. Shows up on Tabby App for the Customer's convenience."},"items":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"reference_id":{"oneOf":[{"type":"string","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."},{"type":"null","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."}]},"title":{"oneOf":[{"type":"string","example":"Name of the product","description":"Name of the product."},{"type":"null","example":"Name of the product","description":"Name of the product."}]},"description":{"oneOf":[{"type":"string","example":"Description of the product","description":"Description of the product."},{"type":"null","example":"Description of the product","description":"Description of the product."}]},"quantity":{"type":"integer","default":0,"minimum":0,"example":1,"description":"Quantity of the product ordered."},"unit_price":{"type":"string","default":"0","example":"0.00","description":"Price per unit of the product. Should be positive or zero."},"image_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."}]},"product_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item at your store."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item at your store."}]},"gender":{"oneOf":[{"type":"string","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."},{"type":"null","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."}]},"category":{"oneOf":[{"type":"string","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."},{"type":"null","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."}]},"color":{"oneOf":[{"type":"string","example":"white","description":"white / blue/ green"},{"type":"null","example":"white","description":"white / blue/ green"}]},"product_material":{"oneOf":[{"type":"string","example":"cotton","description":"cotton / polyester / synthetic"},{"type":"null","example":"cotton","description":"cotton / polyester / synthetic"}]},"size_type":{"oneOf":[{"type":"string","example":"EU","description":"EU / UK"},{"type":"null","example":"EU","description":"EU / UK"}]},"size":{"oneOf":[{"type":"string","example":"M","description":"L / XL / 12"},{"type":"null","example":"M","description":"L / XL / 12"}]},"brand":{"oneOf":[{"type":"string","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"},{"type":"null","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"}]},"is_refundable":{"oneOf":[{"type":"boolean","description":"Indicates whether a product can be returned"},{"type":"null","description":"Indicates whether a product can be returned"}]}},"required":["title","quantity","unit_price","category"]},"description":"Array of objects representing the order items in this payment."},{"type":"null","items":{"type":"object","properties":{"reference_id":{"oneOf":[{"type":"string","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."},{"type":"null","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."}]},"title":{"oneOf":[{"type":"string","example":"Name of the product","description":"Name of the product."},{"type":"null","example":"Name of the product","description":"Name of the product."}]},"description":{"oneOf":[{"type":"string","example":"Description of the product","description":"Description of the product."},{"type":"null","example":"Description of the product","description":"Description of the product."}]},"quantity":{"type":"integer","default":0,"minimum":0,"example":1,"description":"Quantity of the product ordered."},"unit_price":{"type":"string","default":"0","example":"0.00","description":"Price per unit of the product. Should be positive or zero."},"image_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."}]},"product_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item at your store."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item at your store."}]},"gender":{"oneOf":[{"type":"string","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."},{"type":"null","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."}]},"category":{"oneOf":[{"type":"string","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."},{"type":"null","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."}]},"color":{"oneOf":[{"type":"string","example":"white","description":"white / blue/ green"},{"type":"null","example":"white","description":"white / blue/ green"}]},"product_material":{"oneOf":[{"type":"string","example":"cotton","description":"cotton / polyester / synthetic"},{"type":"null","example":"cotton","description":"cotton / polyester / synthetic"}]},"size_type":{"oneOf":[{"type":"string","example":"EU","description":"EU / UK"},{"type":"null","example":"EU","description":"EU / UK"}]},"size":{"oneOf":[{"type":"string","example":"M","description":"L / XL / 12"},{"type":"null","example":"M","description":"L / XL / 12"}]},"brand":{"oneOf":[{"type":"string","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"},{"type":"null","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"}]},"is_refundable":{"oneOf":[{"type":"boolean","description":"Indicates whether a product can be returned"},{"type":"null","description":"Indicates whether a product can be returned"}]}},"required":["title","quantity","unit_price","category"]},"description":"Array of objects representing the order items in this payment."}]}},"required":["items","reference_id"],"isRequired":true,"uniqueKey":"order.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order","typeLabel":"object | null"},"buyer_history":{"description":"Customer / user / student information from previous purchases with you.","type":"object","properties":{"registered_since":{"type":"string","format":"date-time","description":"Date and time the customer / user / student got registred with your store / portal, in UTC, and displayed in ISO 8601 datetime format.","isRequired":true,"uniqueKey":"buyer_history.registered_since","typeLabel":"string\u003cdate-time>"},"loyalty_level":{"type":"number","default":0,"description":"Customer / user / student loyalty level with you. Should be sent as a number of successfully placed purchases from your store / portal with any payment methods.","isRequired":true,"uniqueKey":"buyer_history.loyalty_level","typeLabel":"number"},"wishlist_count":{"type":"number","default":0,"minimum":0,"description":"Number of items in Customer's wishlist.","uniqueKey":"buyer_history.wishlist_count","typeLabel":"number"},"is_social_networks_connected":{"oneOf":[{"type":"boolean","description":"Is social network connected.","uniqueKey":"buyer_history.is_social_networks_connected.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Is social network connected.","uniqueKey":"buyer_history.is_social_networks_connected.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer_history.is_social_networks_connected","typeLabel":"boolean | null"},"is_phone_number_verified":{"oneOf":[{"type":"boolean","description":"Is phone number verified.","uniqueKey":"buyer_history.is_phone_number_verified.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Is phone number verified.","uniqueKey":"buyer_history.is_phone_number_verified.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer_history.is_phone_number_verified","typeLabel":"boolean | null"},"is_email_verified":{"oneOf":[{"type":"boolean","description":"Is email verified.","uniqueKey":"buyer_history.is_email_verified.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Is email verified.","uniqueKey":"buyer_history.is_email_verified.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer_history.is_email_verified","typeLabel":"boolean | null"}},"required":["registered_since","loyalty_level"],"isRequired":true,"uniqueKey":"buyer_history","typeLabel":"object"},"order_history":{"oneOf":[{"type":"array","description":"Array of objects, should contain information on 5-10 previously placed via any payment method orders in any status, current order excluded.","items":{"type":"object","properties":{"purchased_at":{"oneOf":[{"type":"string","format":"date-time","description":"Date and time the order was placed, in UTC, and displayed in ISO 8601 datetime format.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].purchased_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Date and time the order was placed, in UTC, and displayed in ISO 8601 datetime format.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].purchased_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].purchased_at","typeLabel":"string\u003cdate-time> | null"},"amount":{"oneOf":[{"type":"string","example":"100","description":"Total payment amount, including tax, shipping, and excluding any discounts. Allows to send up to 2 decimals for AED and SAR, up to 3 decimals for KWD.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].amount.oneOf.0","typeLabel":"string"},{"type":"null","example":"100","description":"Total payment amount, including tax, shipping, and excluding any discounts. Allows to send up to 2 decimals for AED and SAR, up to 3 decimals for KWD.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].amount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].amount","typeLabel":"string | null"},"status":{"oneOf":[{"type":"string","enum":["new","processing","complete","refunded","canceled","unknown"],"description":"Status of the order.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].status.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["new","processing","complete","refunded","canceled","unknown"],"description":"Status of the order.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].status.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].status","typeLabel":"enum\u003cstring> | null"},"buyer":{"oneOf":[{"description":"Customer information","type":"object","properties":{"name":{"oneOf":[{"type":"string","example":"John Doe","description":"Customer’s full name.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","example":"John Doe","description":"Customer’s full name.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.name","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","format":"email","description":"Customer’s email address.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","format":"email","description":"Customer’s email address.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.email.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.email","typeLabel":"string\u003cemail> | null"},"phone":{"oneOf":[{"type":"string","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.phone.oneOf.0","typeLabel":"string"},{"type":"null","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.phone","typeLabel":"string | null"},"dob":{"oneOf":[{"type":"string","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD.","uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.dob.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD.","uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.dob.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0.dob","typeLabel":"string\u003cdate> | null"}},"required":["phone","email","name"],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.0","typeLabel":"object"},{"description":"Customer information","type":"null","properties":{"name":{"oneOf":[{"type":"string","example":"John Doe","description":"Customer’s full name."},{"type":"null","example":"John Doe","description":"Customer’s full name."}]},"email":{"oneOf":[{"type":"string","format":"email","description":"Customer’s email address."},{"type":"null","format":"email","description":"Customer’s email address."}]},"phone":{"oneOf":[{"type":"string","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`."},{"type":"null","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`."}]},"dob":{"oneOf":[{"type":"string","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD."},{"type":"null","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD."}]}},"required":["phone","email","name"],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].buyer","typeLabel":"object | null"},"shipping_address":{"oneOf":[{"type":"object","properties":{"city":{"oneOf":[{"type":"string","example":"Dubai","description":"Name of city, municipality, or village.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","example":"Dubai","description":"Name of city, municipality, or village.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.0.city","typeLabel":"string | null"},"address":{"oneOf":[{"type":"string","example":"Dubai","description":"Building name, apartment number.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.0.address.oneOf.0","typeLabel":"string"},{"type":"null","example":"Dubai","description":"Building name, apartment number.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.0.address.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.0.address","typeLabel":"string | null"},"zip":{"oneOf":[{"type":"string","example":"1111","description":"Postal code.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.0.zip.oneOf.0","typeLabel":"string"},{"type":"null","example":"1111","description":"Postal code.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.0.zip.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.0.zip","typeLabel":"string | null"}},"required":["city","address","zip"],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"city":{"oneOf":[{"type":"string","example":"Dubai","description":"Name of city, municipality, or village."},{"type":"null","example":"Dubai","description":"Name of city, municipality, or village."}]},"address":{"oneOf":[{"type":"string","example":"Dubai","description":"Building name, apartment number."},{"type":"null","example":"Dubai","description":"Building name, apartment number."}]},"zip":{"oneOf":[{"type":"string","example":"1111","description":"Postal code."},{"type":"null","example":"1111","description":"Postal code."}]}},"required":["city","address","zip"],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].shipping_address","typeLabel":"object | null"},"payment_method":{"oneOf":[{"type":"string","enum":["card","cod"],"example":"card","description":"Payment method used.","uniqueKey":"order_history.oneOf.0.items.[INDEX].payment_method.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["card","cod"],"example":"card","description":"Payment method used.","uniqueKey":"order_history.oneOf.0.items.[INDEX].payment_method.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].payment_method","typeLabel":"enum\u003cstring> | null"},"items":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"title":{"oneOf":[{"type":"string","example":"Name of the product","description":"Name of the product.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].title.oneOf.0","typeLabel":"string"},{"type":"null","example":"Name of the product","description":"Name of the product.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].title.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].title","typeLabel":"string | null"},"quantity":{"type":"integer","default":1,"minimum":0,"example":1,"description":"Quantity of the product ordered.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].quantity","typeLabel":"integer"},"unit_price":{"type":"string","default":"0","example":"0.00","description":"Price per unit of the product. Should be positive or zero.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].unit_price","typeLabel":"string"},"category":{"oneOf":[{"type":"string","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].category.oneOf.0","typeLabel":"string"},{"type":"null","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided.","isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].category.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].category","typeLabel":"string | null"},"reference_id":{"oneOf":[{"type":"string","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].reference_id.oneOf.0","typeLabel":"string"},{"type":"null","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].reference_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].reference_id","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","example":"Description of the product","description":"Description of the product.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","example":"Description of the product","description":"Description of the product.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"image_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].image_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].image_url","typeLabel":"string\u003curi> | null"},"product_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item at your store.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].product_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item at your store.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].product_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].product_url","typeLabel":"string\u003curi> | null"},"gender":{"oneOf":[{"type":"string","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].gender.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].gender.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].gender","typeLabel":"enum\u003cstring> | null"},"color":{"oneOf":[{"type":"string","example":"white","description":"white / blue/ green","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].color.oneOf.0","typeLabel":"string"},{"type":"null","example":"white","description":"white / blue/ green","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].color.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].color","typeLabel":"string | null"},"product_material":{"oneOf":[{"type":"string","example":"cotton","description":"cotton / polyester / synthetic","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].product_material.oneOf.0","typeLabel":"string"},{"type":"null","example":"cotton","description":"cotton / polyester / synthetic","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].product_material.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].product_material","typeLabel":"string | null"},"size_type":{"oneOf":[{"type":"string","example":"EU","description":"EU / UK","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].size_type.oneOf.0","typeLabel":"string"},{"type":"null","example":"EU","description":"EU / UK","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].size_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].size_type","typeLabel":"string | null"},"size":{"oneOf":[{"type":"string","example":"M","description":"L / XL / 12","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].size.oneOf.0","typeLabel":"string"},{"type":"null","example":"M","description":"L / XL / 12","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].size.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].size","typeLabel":"string | null"},"brand":{"oneOf":[{"type":"string","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].brand.oneOf.0","typeLabel":"string"},{"type":"null","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].brand.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].brand","typeLabel":"string | null"},"is_refundable":{"oneOf":[{"type":"boolean","description":"Indicates whether a product can be returned","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].is_refundable.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether a product can be returned","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].is_refundable.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].is_refundable","typeLabel":"boolean | null"},"ordered":{"type":"integer","default":0,"description":"Quantity of SKUs in the order without a final status yet.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].ordered","typeLabel":"integer"},"captured":{"type":"integer","default":0,"description":"Quantity of captured SKUs in the order (paid by customer).","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].captured","typeLabel":"integer"},"shipped":{"type":"integer","default":0,"description":"Quantity of SKUs in the order shipped to the customer.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].shipped","typeLabel":"integer"},"refunded":{"type":"integer","default":0,"description":"Quantity of SKUs in the order refunded to the customer.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX].refunded","typeLabel":"integer"}},"required":["title","quantity","unit_price","category"],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Array of objects representing the order items in this payment. If you want to offer consumers a discount, use this object to create a “discount order item”, with the unit_price set to the negative value of the discount.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"reference_id":{"oneOf":[{"type":"string","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."},{"type":"null","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."}]},"title":{"oneOf":[{"type":"string","example":"Name of the product","description":"Name of the product."},{"type":"null","example":"Name of the product","description":"Name of the product."}]},"description":{"oneOf":[{"type":"string","example":"Description of the product","description":"Description of the product."},{"type":"null","example":"Description of the product","description":"Description of the product."}]},"quantity":{"type":"integer","default":1,"minimum":0,"example":1,"description":"Quantity of the product ordered."},"unit_price":{"type":"string","default":"0","example":"0.00","description":"Price per unit of the product. Should be positive or zero."},"image_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."}]},"product_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item at your store."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item at your store."}]},"gender":{"oneOf":[{"type":"string","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."},{"type":"null","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."}]},"category":{"oneOf":[{"type":"string","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."},{"type":"null","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."}]},"color":{"oneOf":[{"type":"string","example":"white","description":"white / blue/ green"},{"type":"null","example":"white","description":"white / blue/ green"}]},"product_material":{"oneOf":[{"type":"string","example":"cotton","description":"cotton / polyester / synthetic"},{"type":"null","example":"cotton","description":"cotton / polyester / synthetic"}]},"size_type":{"oneOf":[{"type":"string","example":"EU","description":"EU / UK"},{"type":"null","example":"EU","description":"EU / UK"}]},"size":{"oneOf":[{"type":"string","example":"M","description":"L / XL / 12"},{"type":"null","example":"M","description":"L / XL / 12"}]},"brand":{"oneOf":[{"type":"string","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"},{"type":"null","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"}]},"is_refundable":{"oneOf":[{"type":"boolean","description":"Indicates whether a product can be returned"},{"type":"null","description":"Indicates whether a product can be returned"}]},"ordered":{"type":"integer","default":0,"description":"Quantity of SKUs in the order without a final status yet."},"captured":{"type":"integer","default":0,"description":"Quantity of captured SKUs in the order (paid by customer)."},"shipped":{"type":"integer","default":0,"description":"Quantity of SKUs in the order shipped to the customer."},"refunded":{"type":"integer","default":0,"description":"Quantity of SKUs in the order refunded to the customer."}},"required":["title","quantity","unit_price","category"]},"description":"Array of objects representing the order items in this payment. If you want to offer consumers a discount, use this object to create a “discount order item”, with the unit_price set to the negative value of the discount.","uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_history.oneOf.0.items.[INDEX].\\items","typeLabel":"object[] | null"}},"required":["purchased_at","amount","status","buyer","shipping_address"],"uniqueKey":"order_history.oneOf.0.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"order_history.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"Array of objects, should contain information on 5-10 previously placed via any payment method orders in any status, current order excluded.","items":{"type":"object","properties":{"purchased_at":{"oneOf":[{"type":"string","format":"date-time","description":"Date and time the order was placed, in UTC, and displayed in ISO 8601 datetime format."},{"type":"null","format":"date-time","description":"Date and time the order was placed, in UTC, and displayed in ISO 8601 datetime format."}]},"amount":{"oneOf":[{"type":"string","example":"100","description":"Total payment amount, including tax, shipping, and excluding any discounts. Allows to send up to 2 decimals for AED and SAR, up to 3 decimals for KWD."},{"type":"null","example":"100","description":"Total payment amount, including tax, shipping, and excluding any discounts. Allows to send up to 2 decimals for AED and SAR, up to 3 decimals for KWD."}]},"payment_method":{"oneOf":[{"type":"string","enum":["card","cod"],"example":"card","description":"Payment method used."},{"type":"null","enum":["card","cod"],"example":"card","description":"Payment method used."}]},"status":{"oneOf":[{"type":"string","enum":["new","processing","complete","refunded","canceled","unknown"],"description":"Status of the order."},{"type":"null","enum":["new","processing","complete","refunded","canceled","unknown"],"description":"Status of the order."}]},"buyer":{"oneOf":[{"description":"Customer information","type":"object","properties":{"name":{"oneOf":[{"type":"string","example":"John Doe","description":"Customer’s full name."},{"type":"null","example":"John Doe","description":"Customer’s full name."}]},"email":{"oneOf":[{"type":"string","format":"email","description":"Customer’s email address."},{"type":"null","format":"email","description":"Customer’s email address."}]},"phone":{"oneOf":[{"type":"string","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`."},{"type":"null","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`."}]},"dob":{"oneOf":[{"type":"string","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD."},{"type":"null","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD."}]}},"required":["phone","email","name"]},{"description":"Customer information","type":"null","properties":{"name":{"oneOf":[{"type":"string","example":"John Doe","description":"Customer’s full name."},{"type":"null","example":"John Doe","description":"Customer’s full name."}]},"email":{"oneOf":[{"type":"string","format":"email","description":"Customer’s email address."},{"type":"null","format":"email","description":"Customer’s email address."}]},"phone":{"oneOf":[{"type":"string","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`."},{"type":"null","example":"500000001","description":"Customer’s phone number. This must be a valid mobile phone where the consumer can receive text messages. The accepted phone masks are - `500000001`, `0500000001`, `+971500000001`, `971500000001`."}]},"dob":{"oneOf":[{"type":"string","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD."},{"type":"null","format":"date","example":"2000-01-20","description":"Customer's date of birth; format is YYYY-MM-DD."}]}},"required":["phone","email","name"]}]},"shipping_address":{"oneOf":[{"type":"object","properties":{"city":{"oneOf":[{"type":"string","example":"Dubai","description":"Name of city, municipality, or village."},{"type":"null","example":"Dubai","description":"Name of city, municipality, or village."}]},"address":{"oneOf":[{"type":"string","example":"Dubai","description":"Building name, apartment number."},{"type":"null","example":"Dubai","description":"Building name, apartment number."}]},"zip":{"oneOf":[{"type":"string","example":"1111","description":"Postal code."},{"type":"null","example":"1111","description":"Postal code."}]}},"required":["city","address","zip"]},{"type":"null","properties":{"city":{"oneOf":[{"type":"string","example":"Dubai","description":"Name of city, municipality, or village."},{"type":"null","example":"Dubai","description":"Name of city, municipality, or village."}]},"address":{"oneOf":[{"type":"string","example":"Dubai","description":"Building name, apartment number."},{"type":"null","example":"Dubai","description":"Building name, apartment number."}]},"zip":{"oneOf":[{"type":"string","example":"1111","description":"Postal code."},{"type":"null","example":"1111","description":"Postal code."}]}},"required":["city","address","zip"]}]},"items":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"reference_id":{"oneOf":[{"type":"string","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."},{"type":"null","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."}]},"title":{"oneOf":[{"type":"string","example":"Name of the product","description":"Name of the product."},{"type":"null","example":"Name of the product","description":"Name of the product."}]},"description":{"oneOf":[{"type":"string","example":"Description of the product","description":"Description of the product."},{"type":"null","example":"Description of the product","description":"Description of the product."}]},"quantity":{"type":"integer","default":1,"minimum":0,"example":1,"description":"Quantity of the product ordered."},"unit_price":{"type":"string","default":"0","example":"0.00","description":"Price per unit of the product. Should be positive or zero."},"image_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."}]},"product_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item at your store."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item at your store."}]},"gender":{"oneOf":[{"type":"string","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."},{"type":"null","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."}]},"category":{"oneOf":[{"type":"string","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."},{"type":"null","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."}]},"color":{"oneOf":[{"type":"string","example":"white","description":"white / blue/ green"},{"type":"null","example":"white","description":"white / blue/ green"}]},"product_material":{"oneOf":[{"type":"string","example":"cotton","description":"cotton / polyester / synthetic"},{"type":"null","example":"cotton","description":"cotton / polyester / synthetic"}]},"size_type":{"oneOf":[{"type":"string","example":"EU","description":"EU / UK"},{"type":"null","example":"EU","description":"EU / UK"}]},"size":{"oneOf":[{"type":"string","example":"M","description":"L / XL / 12"},{"type":"null","example":"M","description":"L / XL / 12"}]},"brand":{"oneOf":[{"type":"string","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"},{"type":"null","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"}]},"is_refundable":{"oneOf":[{"type":"boolean","description":"Indicates whether a product can be returned"},{"type":"null","description":"Indicates whether a product can be returned"}]},"ordered":{"type":"integer","default":0,"description":"Quantity of SKUs in the order without a final status yet."},"captured":{"type":"integer","default":0,"description":"Quantity of captured SKUs in the order (paid by customer)."},"shipped":{"type":"integer","default":0,"description":"Quantity of SKUs in the order shipped to the customer."},"refunded":{"type":"integer","default":0,"description":"Quantity of SKUs in the order refunded to the customer."}},"required":["title","quantity","unit_price","category"]},"description":"Array of objects representing the order items in this payment. If you want to offer consumers a discount, use this object to create a “discount order item”, with the unit_price set to the negative value of the discount."},{"type":"null","items":{"type":"object","properties":{"reference_id":{"oneOf":[{"type":"string","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."},{"type":"null","example":"SKU123","description":"Merchant’s product identifier. Displayed in Customer's App and Merchant Dashboard, used for Item refunds and disputes."}]},"title":{"oneOf":[{"type":"string","example":"Name of the product","description":"Name of the product."},{"type":"null","example":"Name of the product","description":"Name of the product."}]},"description":{"oneOf":[{"type":"string","example":"Description of the product","description":"Description of the product."},{"type":"null","example":"Description of the product","description":"Description of the product."}]},"quantity":{"type":"integer","default":1,"minimum":0,"example":1,"description":"Quantity of the product ordered."},"unit_price":{"type":"string","default":"0","example":"0.00","description":"Price per unit of the product. Should be positive or zero."},"image_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item image to show in the order information."}]},"product_url":{"oneOf":[{"type":"string","format":"uri","example":"https://example.com/","description":"URL of the item at your store."},{"type":"null","format":"uri","example":"https://example.com/","description":"URL of the item at your store."}]},"gender":{"oneOf":[{"type":"string","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."},{"type":"null","enum":["Male","Female","Kids","Other"],"example":"Kids","description":"Who the goods are designed to."}]},"category":{"oneOf":[{"type":"string","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."},{"type":"null","example":"Clothes","description":"Required as name of high-level category (Clothes, Electronics,etc.); or a tree of category-subcategory1-subcategory2; or id of the category and table with category-ids data mapped provided."}]},"color":{"oneOf":[{"type":"string","example":"white","description":"white / blue/ green"},{"type":"null","example":"white","description":"white / blue/ green"}]},"product_material":{"oneOf":[{"type":"string","example":"cotton","description":"cotton / polyester / synthetic"},{"type":"null","example":"cotton","description":"cotton / polyester / synthetic"}]},"size_type":{"oneOf":[{"type":"string","example":"EU","description":"EU / UK"},{"type":"null","example":"EU","description":"EU / UK"}]},"size":{"oneOf":[{"type":"string","example":"M","description":"L / XL / 12"},{"type":"null","example":"M","description":"L / XL / 12"}]},"brand":{"oneOf":[{"type":"string","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"},{"type":"null","example":"Name of the Brand","description":"Mango / Dorothy Perkins / Tommy Hilfiger"}]},"is_refundable":{"oneOf":[{"type":"boolean","description":"Indicates whether a product can be returned"},{"type":"null","description":"Indicates whether a product can be returned"}]},"ordered":{"type":"integer","default":0,"description":"Quantity of SKUs in the order without a final status yet."},"captured":{"type":"integer","default":0,"description":"Quantity of captured SKUs in the order (paid by customer)."},"shipped":{"type":"integer","default":0,"description":"Quantity of SKUs in the order shipped to the customer."},"refunded":{"type":"integer","default":0,"description":"Quantity of SKUs in the order refunded to the customer."}},"required":["title","quantity","unit_price","category"]},"description":"Array of objects representing the order items in this payment. If you want to offer consumers a discount, use this object to create a “discount order item”, with the unit_price set to the negative value of the discount."}]}},"required":["purchased_at","amount","status","buyer","shipping_address"]},"isRequired":true,"uniqueKey":"order_history.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"order_history","typeLabel":"object[] | null"},"id":{"type":"string","format":"uuid","example":"payment id, uuid format","readOnly":true,"description":"Unique identifier for the pay
[...]
